//----------------------------------------------------------------------------
//  Project Borl_ex
//  BlockTeq Software
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    Borl_ex Application
//  FILE:         borlxapp.h
//  AUTHOR:       D.R.Block
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBorl_exApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(borlxapp_h)              // Sentry, use file only if it's not already included.
#define borlxapp_h

#include <owl/opensave.h>


#include "borlxapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = TSDIDecFrame}}
class TSDIDecFrame : public TDecoratedFrame {
  public:
    TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();
};    //{{TSDIDecFrame}}


//{{TApplication = TBorl_exApp}}
class TBorl_exApp : public TApplication {
  private:


  public:
    TBorl_exApp();
    virtual ~TBorl_exApp();

//{{TBorl_exAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TBorl_exAppVIRTUAL_END}}

//{{TBorl_exAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
//{{TBorl_exAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBorl_exApp);
};    //{{TBorl_exApp}}


#endif  // borlxapp_h sentry.
