//----------------------------------------------------------------------------
//  Project Borl_ex
//  BlockTeq Software
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    Borl_ex Application
//  FILE:         brlxdlgc.cpp
//  AUTHOR:       D.R.Block
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TBorl_exDlgClient (TDialog).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include "borlxapp.h"
#include "brlxdlgc.h"
#include "btdict.h"


//
// Build a response table for all messages/commands handled by the application.
//
DEFINE_RESPONSE_TABLE1(TBorl_exDlgClient, TDialog)
//{{TBorl_exDlgClientRSP_TBL_BEGIN}}
  EV_BN_CLICKED(IDOK, BNClickedSpellCheck),
  EV_BN_CLICKED(IDC_BUTTON1, BNClickedShowLicense),
//{{TBorl_exDlgClientRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TBorl_exDlgClient Implementation}}


//--------------------------------------------------------
// TBorl_exDlgClient
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TBorl_exDlgClient::TBorl_exDlgClient(TWindow* parent, TResId resId, TModule* module)
:
  TDialog(parent, resId, module)
{
//{{TBorl_exDlgClientXFER_USE}}
  pEdit = new TEdit(this, IDC_EDIT1, -1);

//{{TBorl_exDlgClientXFER_USE_END}}

  // INSERT>> Your constructor code here.
}


TBorl_exDlgClient::~TBorl_exDlgClient()
{
  Destroy();

  // INSERT>> Your destructor code here.
}

void TBorl_exDlgClient::BNClickedSpellCheck()
{
  // INSERT>> Your code here.
  SpellCheck(pEdit->HWindow);
}


void TBorl_exDlgClient::SetupWindow()
{
  TDialog::SetupWindow();

  // INSERT>> Your code here.
	char *spchktst = "Ths wuold be a reely gud plice fer chckng yer spelng.";
	pEdit->SetText(spchktst);
}


void TBorl_exDlgClient::BNClickedShowLicense()
{
  // INSERT>> Your code here.
	ShowLicense();
}

