//----------------------------------------------------------------------------
//  Project Borl_ex
//  BlockTeq Software
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    Borl_ex Application
//  FILE:         brlxdlgc.h
//  AUTHOR:       D.R.Block
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBorl_exDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(brlxdlgc_h)              // Sentry, use file only if it's not already included.
#define brlxdlgc_h

#include "borlxapp.rh"                  // Definition of all resources.


#include <owl/commctrl.h>

#include <owl/edit.h>
//{{TDialog = TBorl_exDlgClient}}

class TBorl_exDlgClient : public TDialog {
  public:
    TBorl_exDlgClient(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
    virtual ~TBorl_exDlgClient();


//{{TBorl_exDlgClientXFER_DEF}}
  protected:
    TEdit* pEdit;

//{{TBorl_exDlgClientXFER_DEF_END}}

//{{TBorl_exDlgClientVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
//{{TBorl_exDlgClientVIRTUAL_END}}

//{{TBorl_exDlgClientRSP_TBL_BEGIN}}
  protected:
    void BNClickedSpellCheck();
    void BNClickedShowLicense();
//{{TBorl_exDlgClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBorl_exDlgClient);
};    //{{TBorl_exDlgClient}}


#endif  // brlxdlgc_h sentry.
